# Generated by Django 5.2 on 2025-04-16 11:08

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('allergyintolerances', '0005_allergyintolerancereaction_manifestation'),
        ('biologicallyderivedproducts', '0002_initial'),
        ('careplans', '0005_initial'),
        ('devices', '0001_initial'),
        ('deviceusages', '0002_initial'),
        ('diagnosticreports', '0003_initial'),
        ('documentreferences', '0004_initial'),
        ('familymemberhistories', '0002_initial'),
        ('groups', '0002_initial'),
        ('healthcareservices', '0001_initial'),
        ('imagingstudy', '0002_initial'),
        ('immunizationrecommendations', '0002_initial'),
        ('medications', '0001_initial'),
        ('nutritionorders', '0003_initial'),
        ('practitioners', '0001_initial'),
        ('procedures', '0002_initial'),
        ('specimens', '0001_initial'),
        ('substances', '0001_initial'),
    ]

    operations = [
        migrations.AddField(
            model_name='diagnosticreport',
            name='specimen',
            field=models.ManyToManyField(blank=True, related_name='diagnostic_report_specimen', to='specimens.specimenreference'),
        ),
        migrations.AddField(
            model_name='diagnosticreportbasedonreference',
            name='Immunization_recommendation',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='diagnostic_report_based_on_immunization_recommendation', to='immunizationrecommendations.immunizationrecommendation'),
        ),
        migrations.AddField(
            model_name='diagnosticreportbasedonreference',
            name='careplan',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='diagnostic_report_based_on_careplan', to='careplans.careplan'),
        ),
        migrations.AddField(
            model_name='diagnosticreportbasedonreference',
            name='nutrition_order',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='diagnostic_report_based_on_nutrition_order', to='nutritionorders.nutritionorder'),
        ),
        migrations.AddField(
            model_name='diagnosticreportdocumentreferencereference',
            name='document_reference',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='document_reference_reference_document_reference', to='documentreferences.documentreference'),
        ),
        migrations.AddField(
            model_name='diagnosticreportmedia',
            name='link',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='diagnostic_report_media_document_reference', to='documentreferences.documentreference'),
        ),
        migrations.AddField(
            model_name='diagnosticreportperformerreference',
            name='care_plan',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='performer_care_plan', to='careplans.careplan'),
        ),
        migrations.AddField(
            model_name='diagnosticreportsubjectreference',
            name='biologically_derived_product',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='diagnostic_report_subject_reference_biologically_derived_product', to='biologicallyderivedproducts.biologicallyderivedproduct'),
        ),
        migrations.AddField(
            model_name='diagnosticreportsubjectreference',
            name='group',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='diagnostic_report_subject_reference_group', to='groups.group'),
        ),
        migrations.AddField(
            model_name='diagnosticreportsubjectreference',
            name='substance',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='diagnostic_report_subject_reference_substance', to='substances.substance'),
        ),
        migrations.AddField(
            model_name='supportinginforeference',
            name='allergy_intolerance',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='supporting_info_allergy_intolerance', to='allergyintolerances.allergyintolerance'),
        ),
        migrations.AddField(
            model_name='supportinginforeference',
            name='device_usage',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='supporting_info_device_usage', to='deviceusages.deviceusage'),
        ),
        migrations.AddField(
            model_name='supportinginforeference',
            name='family_member_history',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='supporting_info_family_member_history', to='familymemberhistories.familymemberhistory'),
        ),
        migrations.AddField(
            model_name='supportinginforeference',
            name='imaging_study',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='supporting_info_imaging_study', to='imagingstudy.imagingstudy'),
        ),
        migrations.AddField(
            model_name='supportinginforeference',
            name='procedure',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='supporting_info_procedure', to='procedures.procedure'),
        ),
        migrations.AlterField(
            model_name='diagnosticreportsubjectreference',
            name='device',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='diagnostic_report_subject_reference_device', to='devices.device'),
        ),
        migrations.AlterField(
            model_name='diagnosticreportsubjectreference',
            name='healthcare_service',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='diagnostic_report_subject_reference_healthcare_service', to='healthcareservices.healthcareservice'),
        ),
        migrations.AlterField(
            model_name='diagnosticreportsubjectreference',
            name='medication',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='diagnostic_report_subject_reference_medication', to='medications.medication'),
        ),
        migrations.AlterField(
            model_name='diagnosticreportsubjectreference',
            name='practitioner',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='diagnostic_report_subject_reference_practitioner', to='practitioners.practitioner'),
        ),
    ]
